Bug 487234 - nvra, wrong arch type packages showing up in package upgrade list.. ie. amd64 in an x86 box
nvra, wrong arch type packages showing up in package upgrade list.. ie. amd64...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Steve Salevan
https://grandprix.rhndev.redhat.com/r...
:
Depends On:
Blocks: 471789
  Show dependency treegraph
 
Reported: 2009-02-24 17:02 EST by Justin Sherrill
Modified: 2009-09-10 14:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-02-24 17:02:04 EST
Register a 32bit box, but have x86 & x86_64 synced.

Go to system-> software -> upgrade

Shows 32bit & 64bit packages, should only show 32bit.
Comment 1 Brad Buckingham 2009-03-02 13:56:26 EST
git commit: d45b3ea4038e209394dd972e8e8036d2cdcbc2c2

The query to display the packages that are available for upgrade for a system
was recently updated to support inclusion of package arch; however, the query
had an error in it that caused the result set to be far larger than expected.

For example, on an i386 system that had 116 possible packages to be upgraded
it was returning 1594 packages.  Of those, it would repeat the same package
several times (e.g. libjpeg.i386, libjpeg.i386...) as well as list packages
that did not apply for the arch of the system (e.g. libjpeg.x86_64).
Comment 2 Steve Salevan 2009-04-08 15:59:45 EDT
It appears that 64bit packages no longer appear in the package upgrade selection box for x86 machines but do for 64bit machines.  Thus, I think that we're in good shape on this bug, and I'm moving it to VERIFIED, tested on 530-re20090403.2.
Comment 3 Justin Sherrill 2009-04-14 15:50:39 EDT
I'm modifying the query that this page uses and so it needs to be sent back through QA.  Moving to modified.
Comment 4 Brad Buckingham 2009-04-15 14:32:00 EDT
Fix included in: Satellite-5.3.0-*-re20090414.0-*.iso
Comment 5 Steve Salevan 2009-04-17 13:35:26 EDT
With the new query, 64bit packages do not appear for x86 machines, but do for x86_64 machines.  Moving to VERIFIED.
Comment 6 Brandon Perkins 2009-08-07 16:21:35 EDT
Release Pending.  i386 & x86_64 show up on x86_64 boxes upgrade list, whereas only i386 show up on i386 boxes upgrade list.
Comment 7 Brandon Perkins 2009-09-10 14:44:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.